---
external help file: SitecoreInstallFramework-help.xml
Module Name: SitecoreInstallFramework
online version:
schema: 2.0.0
---

# Invoke-CopyTask

## SYNOPSIS
Task to support copying files or folders to a new location.

## SYNTAX

```
Invoke-CopyTask [-Source] <String> [-Destination] <String> [-WhatIf] [-Confirm] [<CommonParameters>]
```

## DESCRIPTION
Files and folders from the given source location are copied to the destination.
If the destination location does not exist, it is created.

## EXAMPLES

### EXAMPLE 1
```
PS C:\> Invoke-CopyTask -Source c:\source -Destination c:\dest
```

This copies all files and folders from c:\source to c:\dest.

### EXAMPLE 2
```
PS C:\> Invoke-CopyTask -Source c:\source\file.txt -Destination c:\dest\
```

This copies the source file to the destination folder, retaining the file name.
NOTE: The trailing slash is required on the destination to identify the path
as a directory.

### EXAMPLE 3
```
PS C:\> Invoke-CopyTask -Source c:\source\file.txt -Destination c:\dest\other.txt
```

This copies the source file to a new destination and renames the file to `other.txt`.

## PARAMETERS

### -Destination
The location where files will be copied to.

```yaml
Type: String
Parameter Sets: (All)
Aliases:

Required: True
Position: 1
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -Source
Files in this location are copied to the Destination.

```yaml
Type: String
Parameter Sets: (All)
Aliases:

Required: True
Position: 0
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -Confirm
Prompts you for confirmation before running the cmdlet.

```yaml
Type: SwitchParameter
Parameter Sets: (All)
Aliases: cf

Required: False
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -WhatIf
Shows what would happen if the cmdlet runs. The cmdlet is not run.

```yaml
Type: SwitchParameter
Parameter Sets: (All)
Aliases: wi

Required: False
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### CommonParameters
This cmdlet supports the common parameters: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutVariable, -OutBuffer, -PipelineVariable, -Verbose, -WarningAction, and -WarningVariable. For more information, see about_CommonParameters (http://go.microsoft.com/fwlink/?LinkID=113216).

## INPUTS

## OUTPUTS

## NOTES

## RELATED LINKS
