---
external help file: SitecoreInstallFramework-help.xml
Module Name: SitecoreInstallFramework
online version:
schema: 2.0.0
---

# Invoke-ValidateNotNullConfigFunction

## SYNOPSIS
Verifies the argument is not null.

## SYNTAX

```
Invoke-ValidateNotNullConfigFunction [-param] <Object> [<CommonParameters>]
```

## DESCRIPTION
Returns `$true` if the parameter is not equal to `$null`, otherwise `$false`.

## EXAMPLES

### Example 1
```powershell
PS C:\> Invoke-ValidateNotNullConfigFunction -param "Value"
PS C:\> $true
```

The parameter is not `$null`, result is `$true`.

### Example 2
```powershell
PS C:\> Invoke-ValidateNotNullConfigFunction -param $null
PS C:\> $false
```

The parameter is `$null`, result is `$false`.

## PARAMETERS

### -param
The parameter to validate.

```yaml
Type: Object
Parameter Sets: (All)
Aliases:

Required: True
Position: 0
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### CommonParameters
This cmdlet supports the common parameters: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutVariable, -OutBuffer, -PipelineVariable, -Verbose, -WarningAction, and -WarningVariable. For more information, see about_CommonParameters (http://go.microsoft.com/fwlink/?LinkID=113216).

## INPUTS

### None

## OUTPUTS

### System.Object

## NOTES

## RELATED LINKS
