---
external help file: SitecoreInstallFramework-help.xml
Module Name: SitecoreInstallFramework
online version:
schema: 2.0.0
---

# Invoke-ValidatePatternConfigFunction

## SYNOPSIS
Validates that parameter matches the RegexPattern.

## SYNTAX

```
Invoke-ValidatePatternConfigFunction [-Pattern] <String> [-Param] <Object> [[-IgnoreCase] <Boolean>]
 [<CommonParameters>]
```

## DESCRIPTION
Returns `$true` if parameter matches the pattern, otherwise `$false`.

## EXAMPLES

### Example 1
```powershell
PS C:\> Invoke-ValidatePatternConfigFunction -Pattern "^(ABC)+$" -Param "ABCABC"
PS C:\> $true
```

The parameter value matches the pattern, so result is `$true`.

### Example 2
```powershell
PS C:\> Invoke-ValidatePatternConfigFunction -Pattern "^(ABC)+$" -Param "ABCDABCD"
PS C:\> $false
```

If the parameter value doesn't match the pattern, the result is `$false`.

## PARAMETERS

### -IgnoreCase
Disables or enables case sensitive regex matching.

```yaml
Type: Boolean
Parameter Sets: (All)
Aliases:

Required: False
Position: 2
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -Param
The parameter to validate.

```yaml
Type: Object
Parameter Sets: (All)
Aliases:

Required: True
Position: 1
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -Pattern
The regular expression pattern.

```yaml
Type: String
Parameter Sets: (All)
Aliases:

Required: True
Position: 0
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### CommonParameters
This cmdlet supports the common parameters: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutVariable, -OutBuffer, -PipelineVariable, -Verbose, -WarningAction, and -WarningVariable. For more information, see about_CommonParameters (http://go.microsoft.com/fwlink/?LinkID=113216).

## INPUTS

### None

## OUTPUTS

### System.Object

## NOTES

## RELATED LINKS
