---
external help file: SitecoreInstallFramework-help.xml
Module Name: SitecoreInstallFramework
online version:
schema: 2.0.0
---

# Invoke-ValidateSetConfigFunction

## SYNOPSIS
Validates that parameter is present in a specified set.

## SYNTAX

```
Invoke-ValidateSetConfigFunction [-Values] <String[]> [-Param] <Object> [[-IgnoreCase] <Boolean>]
 [<CommonParameters>]
```

## DESCRIPTION
Returns `$true` if parameter is in set of valid values, otherwise `$false`.

## EXAMPLES

### Example 1
```powershell
PS C:\> Invoke-ValidateSetConfigFunction -Values @('March', 'April', 'May') -Param 'April'
PS C:\>$true
```

The parameter is in the specified set, result is `$true`.

### Example 2
```powershell
PS C:\> Invoke-ValidateSetConfigFunction -Values @('March', 'April', 'May') -Param 'June'
PS C:\>$false
```

The parameter is not in the specified set, result is `$false`.

## PARAMETERS

### -IgnoreCase
Disables or enables case sensitive validation.

```yaml
Type: Boolean
Parameter Sets: (All)
Aliases:

Required: False
Position: 2
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -Param
The parameter to validate.

```yaml
Type: Object
Parameter Sets: (All)
Aliases:

Required: True
Position: 1
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -Values
The set of valid values.

```yaml
Type: String[]
Parameter Sets: (All)
Aliases:

Required: True
Position: 0
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### CommonParameters
This cmdlet supports the common parameters: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutVariable, -OutBuffer, -PipelineVariable, -Verbose, -WarningAction, and -WarningVariable. For more information, see about_CommonParameters (http://go.microsoft.com/fwlink/?LinkID=113216).

## INPUTS

### None

## OUTPUTS

### System.Object

## NOTES

## RELATED LINKS
