---
Module Name: SitecoreInstallFramework
Module Guid: 67c5b63d-ffb7-4c8e-8262-3c28b9ead919
Download Help Link: 
Help Version: 
Locale: en-US
---

# SitecoreInstallFramework Module
## Description
The SitecoreInstallFramework Module supports the installation and configuration of Sitecore instances.

## SitecoreInstallFramework Cmdlets
### [Export-WebDeployParameters](Export-WebDeployParameters.md)
Creates a parameters file for a Web Deploy Package

### [Get-SitecoreInstallExtension](Get-SitecoreInstallExtension.md)
Returns information on the extensions registered with the Sitecore Install Framework.

### [Install-SitecoreConfiguration](Install-SitecoreConfiguration.md)
Invokes a Sitecore installation

### [Invoke-AddWebFeatureSSLTask](Invoke-AddWebFeatureSSLTask.md)
Creates and binds a certificate chain to a website.

### [Invoke-AndConfigFunction](Invoke-AndConfigFunction.md)
Performs an AND operation on two or more values.

### [Invoke-AppPoolTask](Invoke-AppPoolTask.md)
Task to support the creation and modification of an IIS Application Pool.

### [Invoke-CheckInstalledSoftwareConfigFunction](Invoke-CheckInstalledSoftwareConfigFunction.md)
Determines if a program has been installed.

### [Invoke-CommandTask](Invoke-CommandTask.md)
Task to support the execution of an arbitrary command.

### [Invoke-ConcatConfigFunction](Invoke-ConcatConfigFunction.md)
Concatenate values within a configuration

### [Invoke-CopyTask](Invoke-CopyTask.md)
Task to support copying files or folders to a new location.

### [Invoke-CreateServiceTask](Invoke-CreateServiceTask.md)
Creates a Windows service

### [Invoke-DownloadFileTask](Invoke-DownloadFileTask.md)
Task to support the downloading of files from the Internet.

### [Invoke-EnsurePathTask](Invoke-EnsurePathTask.md)
Creates paths or cleans existing paths.

### [Invoke-EnvironmentConfigFunction](Invoke-EnvironmentConfigFunction.md)
Supports referencing of environment variables in configurations

### [Invoke-EqualConfigFunction](Invoke-EqualConfigFunction.md)
Returns true or false based on the equality of two values.

### [Invoke-FilePermissionsTask](Invoke-FilePermissionsTask.md)
Sets file permissions for a path

### [Invoke-GetCertificateConfigFunction](Invoke-GetCertificateConfigFunction.md)
Returns the certificate for the given name or thumbprint under a certificate path.

### [Invoke-GetCertificateThumbprintConfigFunction](Invoke-GetCertificateThumbprintConfigFunction.md)
Returns the thumbprint for the requested certificate.

### [Invoke-HostHeaderTask](Invoke-HostHeaderTask.md)
Performs the action over the entry in the system hosts file.

### [Invoke-HttpRequestTask](Invoke-HttpRequestTask.md)
Task to support making requests over the Internet.

### [Invoke-IfConfigFunction](Invoke-IfConfigFunction.md)
Returns a value based on the result of a condition.

### [Invoke-IISConfigurationTask](Invoke-IISConfigurationTask.md)
Configures an IIS Configuration property

### [Invoke-InsertXmlTask](Invoke-InsertXmlTask.md)
Inserts a new sub-document into an XML document in a file, appended as a child to one or many parents.

### [Invoke-InstallPSModuleTask](Invoke-InstallPSModuleTask.md)
Installs PowerShell module on a remote server.

### [Invoke-InstallSitecoreConfigurationTask](Invoke-InstallSitecoreConfigurationTask.md)
Installs Sitecore configuration to the remote server.

### [Invoke-IoXmlTask](Invoke-IoXmlTask.md)
Enables, Disables and Deletes configuration files as stated in an IOXML file

### [Invoke-JoinConfigFunction](Invoke-JoinConfigFunction.md)
Joins a list of values as a single string

### [Invoke-JoinPathConfigFunction](Invoke-JoinPathConfigFunction.md)
Joins a list of values as a single path

### [Invoke-ManageAppPoolTask](Invoke-ManageAppPoolTask.md)
Task to support the Starting, Stopping and Restarting of an application pool.

### [Invoke-ManageKeyStorageTask](Invoke-ManageKeyStorageTask.md)
Manages user key storage in HKLM registry. Required when keys cannot be stored in user profile.

### [Invoke-ManageServiceTask](Invoke-ManageServiceTask.md)
Manages changes to an existing service.

### [Invoke-ManageSolrConfigTask](Invoke-ManageSolrConfigTask.md)
Manages changes to the configuration of a core on an existing Solr instance.

### [Invoke-ManageSolrCoreTask](Invoke-ManageSolrCoreTask.md)
Manages changes to the cores of an existing Solr instance.

### [Invoke-ManageSolrSchemaTask](Invoke-ManageSolrSchemaTask.md)
Manages changes to the schema of an existing Solr core.

### [Invoke-ManageWebsiteTask](Invoke-ManageWebsiteTask.md)
Task to support the starting and stopping of an IIS web site.

### [Invoke-ModuleConfigFunction](Invoke-ModuleConfigFunction.md)
Determines if a module is present on the current system.

### [Invoke-NewPSCredentialConfigFunction](Invoke-NewPSCredentialConfigFunction.md)
Creates and returns a Powershell credential object.

### [Invoke-NewRootCertificateTask](Invoke-NewRootCertificateTask.md)
Creates a new Root Certificate Authority

### [Invoke-NewSignedCertificateTask](Invoke-NewSignedCertificateTask.md)
Creates an SSL certificate for web hosting.

### [Invoke-NotConfigFunction](Invoke-NotConfigFunction.md)
Returns the logical opposite of the given value.

### [Invoke-OrConfigFunction](Invoke-OrConfigFunction.md)
Performs an OR operation on two or more values.

### [Invoke-RandomStringConfigFunction](Invoke-RandomStringConfigFunction.md)
Generates a random string of the specified length.

### [Invoke-ReadJsonConfigFunction](Invoke-ReadJsonConfigFunction.md)
Reads the contents of a json file.

### [Invoke-RemoveAppPoolTask](Invoke-RemoveAppPoolTask.md)
Removes an application pool from IIS.

### [Invoke-RemoveServiceTask](Invoke-RemoveServiceTask.md)
Removes a service from the machine.

### [Invoke-RemoveSqlDatabaseTask](Invoke-RemoveSqlDatabaseTask.md)
Removes given databases from the SQL Server.

### [Invoke-RemoveWebsiteTask](Invoke-RemoveWebsiteTask.md)
Removes an IIS website.

### [Invoke-RemoveXmlTask](Invoke-RemoveXmlTask.md)
Removes one or more nodes from an XML document in a file specified by an XPath.

### [Invoke-ResolveCertificatePathConfigFunction](Invoke-ResolveCertificatePathConfigFunction.md)
Supports resolving file system paths from Certificate store paths in configurations.

### [Invoke-ResolvePathConfigFunction](Invoke-ResolvePathConfigFunction.md)
Supports resolving file system paths in configurations.

### [Invoke-RestAuthenticationConfigFunction](Invoke-RestAuthenticationConfigFunction.md)
Performs authentication to the REST endpoint specified with `LoginUri` parameter by posting username as `Username` parameter and password as `Password`.

### [Invoke-SetXmlTask](Invoke-SetXmlTask.md)
Sets values in an XML document.

### [Invoke-SitecoreUrlTask](Invoke-SitecoreUrlTask.md)
Makes a request to s specific Sitecore Url.

### [Invoke-SplitConfigFunction](Invoke-SplitConfigFunction.md)
Splits a string.

### [Invoke-SqlConnectionStringConfigFunction](Invoke-SqlConnectionStringConfigFunction.md)
Creates a Sql connection string

### [Invoke-TransformXmlDocTask](Invoke-TransformXmlDocTask.md)
Transforms xml files by providing XML Document Transform files

### [Invoke-UnpackTask](Invoke-UnpackTask.md)
Extracts an archive file to disk.

### [Invoke-ValidateCountConfigFunction](Invoke-ValidateCountConfigFunction.md)
Validates that the parameter array count is in the specified range.

### [Invoke-ValidateLengthConfigFunction](Invoke-ValidateLengthConfigFunction.md)
Validates that the parameter length falls in the range.

### [Invoke-ValidateNotNullConfigFunction](Invoke-ValidateNotNullConfigFunction.md)
Verifies the argument is not null.

### [Invoke-ValidateNotNullOrEmptyConfigFunction](Invoke-ValidateNotNullOrEmptyConfigFunction.md)
Validates that the argument is not null and is not an empty string or collection

### [Invoke-ValidatePatternConfigFunction](Invoke-ValidatePatternConfigFunction.md)
Validates that parameter matches the RegexPattern.

### [Invoke-ValidateRangeConfigFunction](Invoke-ValidateRangeConfigFunction.md)
Validates that number parameter falls in the range specified by Min and Max.

### [Invoke-ValidateSetConfigFunction](Invoke-ValidateSetConfigFunction.md)
Validates that parameter is present in a specified set.

### [Invoke-WebBindingTask](Invoke-WebBindingTask.md)
Creates, updates, and removes web bindings.

### [Invoke-WebDeployTask](Invoke-WebDeployTask.md)
Executes a Web Deploy command.

### [Invoke-WebRequestTask](Invoke-WebRequestTask.md)
Requests a web page, with optional retries

### [Invoke-WebsiteClientCertTask](Invoke-WebsiteClientCertTask.md)
Configures client certificate settings for a website.

### [Invoke-WebSiteTask](Invoke-WebSiteTask.md)
Task to support the creation and modification of an IIS website.

### [Invoke-WindowsFeatureConfigFunction](Invoke-WindowsFeatureConfigFunction.md)
Returns if a Windows Feature is enabled or not.

### [Register-SitecoreInstallExtension](Register-SitecoreInstallExtension.md)
Registers extensions to use in Sitecore Install Framework configurations.

### [Write-TaskHeader](Write-TaskHeader.md)
THIS FUNCTION IS OBSOLETE AND WILL BE REMOVED IN THE NEXT MAJOR VERSION.
Outputs a formatted message to the information stream.

### [Write-TaskInfo](Write-TaskInfo.md)
THIS FUNCTION IS OBSOLETE AND WILL BE REMOVED IN THE NEXT MAJOR VERSION.
PLEASE USE `Write-Information` INSTEAD.

Writes a message to the host and information stream.

